Subject: [PATCH 14/15] ARM: local timers: convert MSM to runtime registration interface

From: [email-masked] (David Brown)
Date: Thu, 12 Jan 2012 16:27:20 -0800

On Thu, Jan 12, 2012 at 04:13:34PM -0800, David Brown wrote:
> On Wed, Jan 11, 2012 at 01:08:53PM +0000, Marc Zyngier wrote:
> > Convert the MSM timers to the runtime registration interface.
> > 
> > Cc: Stephen Boyd <[email-masked]>
> > Cc: David Brown <[email-masked]>
> > Signed-off-by: Marc Zyngier <[email-masked]>
> > ---
> >  arch/arm/mach-msm/timer.c |   79 +++++++++++++++++++++++++--------------------
> >  1 files changed, 44 insertions(+), 35 deletions(-)
> 
> This change breaks cpuhotplug.  I get a lockup if I try to shutdown
> cpu 1.  I'll see if I can figure out why.

This may be a false alarm.  I am not able to reproduce this failure,
and have reset and brought the CPU1 on and offline multiple times.

So, in light of this:

Tested-by: David Brown <[email-masked]>
Acked-by: David Brown <[email-masked]>

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.